%undefine __libtoolize
%define libxbase libxbase = 1.8.1
%define beta %nil

Name: ananas
Version: 0.3.4
Release: alt2

Group: Office
Summary: Depot accounting system
Url: http://ananas.linux.ru.net/
License: GPL

Source: %name-%version%beta.tar.bz2
Patch1: ananas-0.3.4.patch

PreReq: MySQL-client, MySQL-server
Requires: %{get_dep libqt3}
Requires: tetex-latex, tetex-dvips, gv
Provides: %libxbase

# Automatically added by buildreq on Tue Apr 27 2004 (-bi)
#BuildRequires: XFree86-libs fontconfig freetype2 gcc-c++ libMySQL-devel libqt3-devel libstdc++-devel qt3-designer tetex-dvips tetex-latex zlib-devel
BuildRequires: XFree86-libs fontconfig freetype2 gcc-c++
BuildRequires: libMySQL-devel libstdc++-devel
BuildRequires: tetex-dvips tetex-latex zlib-devel
BuildRequires: libqt3-devel-cxx = %__gcc_version_base
BuildRequires: libqt3-devel >= 3.0.0
BuildRequires: libqt3-devel >= 3.0.0
# hack for apt in hasher
BuildRequires: libqt3-qsa >= 3.0.0 libqt3-qsa-devel >= 3.0.0

%description
Ananas.Sklad is depot accounting program with many features like
printing reports, filling bills of lading.

Developers
---------------
Andrey P. Paskal <app@linux.ru.net>
Pavel Tereschenko <pavel@petrovich.stud.pu.ru>
Ilych Alexeev <i-l-y-c-h@mail.ru>

Contributors
--------------------
Alexey Novodvorski <aen@logic.ru>
Denis Orlov <denior@intbel.ru>

%prep
%setup -q -n %name-%version%beta
%patch1 -p1
perl -pi -e "s|mkdir|mkdir -p|" ./Makefile

%build
export QTDIR=/usr/lib/qt3
export PATH=$QTDIR/bin:$PATH
export CFLAGS="%optflags" CPPFLAGS="%optflags" CXXFLAGS="%optflags" FLAGS="%optflags"
pushd xbase*
    rm -f config.status config.cache
    %configure
popd
%make_build CFLAGS="%optflags" CPPFLAGS="%optflags" CXXFLAGS="%optflags" FLAGS="%optflags"

%install
mkdir -p %buildroot/%_bindir
mkdir -p %buildroot/%_sysconfdir
mkdir -p %buildroot/%_datadir
mkdir -p %buildroot/%_localstatedir
mkdir -p %buildroot/%_libdir
#
#%%make DESTDIR=%buildroot BUILDROOT=%buildroot install
%make BUILDROOT=%buildroot install
#mv %buildroot/bin/* %buildroot/%_bindir
mv %buildroot/usr/share/%name %buildroot/%_localstatedir/%name
#mv %buildroot/usr/lib/* %buildroot/%_libdir
ln -s ../../%_localstatedir/%name %buildroot/%_datadir/%name

#install menu
mkdir -p $RPM_BUILD_ROOT%_menudir
cat << EOF > $RPM_BUILD_ROOT%_menudir/ananas
?package(%name):command="/bin/sh -c 'cd %_localstatedir/%name/demo; ananas'" \
		  needs="x11" \
		  section="Applications/Finances" \
		  title="Ananas" \
		  genericname="Accounting System" \
		  longtitle="Depot accounting system"
EOF

%pre
groupadd %name >/dev/null 2>&1 ||:

%post
%post_ldconfig
if [ -z "$DURING_INSTALL" ] ; then
    mysqladmin -u root create ananas_db >/dev/null 2>&1 && cat %_localstatedir/%name/sql/create_*|mysql -u root ananas_db  >/dev/null 2>&1 ||:
    mysqladmin -u root create ananas_demo  >/dev/null 2>&1 ||:
    mysql -u root ananas_demo < %_datadir/%name/sql/demodb.sql 2>&1 ||:
fi
echo -e "\nYou must add users to group \"%name\""
echo -e "to work with Ananas.\n"
%update_menus

%postun
%post_ldconfig
%clean_menus

%files
%doc README* changelog* doc/* todo
#
%_bindir/ananas
%_bindir/ananas-makerep
%_bindir/ananas-report
%_bindir/ananas.sklad
%_datadir/%name
%attr(0775,root,ananas) %dir %_localstatedir/%name
%attr(0775,root,ananas) %_localstatedir/%name/*
%_libdir/libxbase.so.2
%_libdir/libxbase.so.2.8.0
%_sysconfdir/ananasrc
%_menudir/*

%changelog
* Fri Jan 21 2005 Sergey V Turchin <zerg at altlinux dot org> 0.3.4-alt2
- rebuild with gcc3.4

* Tue Apr 27 2004 Sergey V Turchin <zerg at altlinux dot org> 0.3.4-alt1
- new version
- fix BuildRequires/Requires

* Mon Sep 29 2003 Sergey V Turchin <zerg at altlinux dot org> 0.3.4-alt0.1.pre5
- new version
- fix requires

* Mon Nov 04 2002 Sergey V Turchin <zerg@altlinux.ru> 0.3.3-alt1
- new version

* Mon Sep 16 2002 Sergey V Turchin <zerg@altlinux.ru> 0.3.2-alt1
- new version

* Wed Jun 19 2002 Sergey V Turchin <zerg@altlinux.ru> 0.3.1-alt2
- fix delete group ananas

* Tue Jun 18 2002 Sergey V Turchin <zerg@altlinux.ru> 0.3.1-alt1
- new version
- build with qt3

* Tue Mar 05 2002 Sergey V Turchin <zerg@altlinux.ru> 0.1.19-alt2
- rebuild with qt2

* Mon Mar 04 2002 Sergey V Turchin <zerg@altlinux.ru> 0.1.19-alt1
- new version

* Wed Dec 26 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.18-ipl2
- rebuild to fix bug #0000019

* Tue Feb 27 2001 AEN <aen@logic.ru>
- 0.1.18
* Fri Feb 2 2001 AEN <aen@logic.ru>
- menu added
* Tue Jan 30 2001 AEN <aen@logic.ru>
- adopted for RE

* Mon Jan 29 2001 Andrey Paskal <appchat@chat.ru>
  [ananas]
-      c++.   
    Tcl  -  5-10   
   ( 1) 
-   Tcl/Tk   8.0,    
    Utf (Unicode) ,       
   8.0.        
    Tcl  8.1  . ,    
   8.0,     RedHat 6.2,   
      ,     
    .
-        
   ,       .

* Wed Jul 12 2000 Andrey Paskal <appchat@chat.ru>
  [ananas]
-         
-     
-         
  ananasrc
-  ,   ,     
   ,      /usr/share/ananas
-    
-  ,     ,  "0.65",
    ".65"
      ;)

* Wed Jun 28 2000 Andrey Paskal <appchat@chat.ru>
  [ananas]
-   
-      ~/.ananasrc
  ( /etc/ananasrc,   ~/.ananasrc)
  ,   ,     
-   ananas-makerep    
    "s///"  sed   "s///g"
-      0.1.14  
  tmpl-move2.rep ("   ")
-    
-        
-        
  "  "  " "
-       " "
